Bug 418308 - Discover crashes when I cancel update of flatpak package while its description page is open
Summary: Discover crashes when I cancel update of flatpak package while its descriptio...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords: drkonqi
: 418104 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-02-28 23:51 UTC by Patrick Silva
Modified: 2020-03-09 18:23 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-02-28 23:51:58 UTC
Application: plasma-discover (5.18.80)

Qt Version: 5.14.1
Frameworks Version: 5.68.0
Operating System: Linux 5.3.0-28-generic x86_64
Windowing system: X11
Distribution: KDE neon Unstable Edition

-- Information about the crash:
- What I was doing when the application crashed:
open Discover when a flatpak update is available
in "Update" page, click on the flatpak app
"More information"  button appeared, click on it to open the description page of the flatpak app
click on "Update all" button
cancel the update process by clicking on "Cancel" button
Discover crashes

The crash can be reproduced every time.

-- Backtrace:
Application: Discover (plasma-discover), signal: Floating point exception
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc3433de940 (LWP 11765))]

Thread 17 (Thread 0x7fc262ffd700 (LWP 11841)):
#0  0x00007fc33ab19ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fc262ffcab0, expected=0, futex_word=0x7fc2540011a0) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fc33ab19ed9 in __pthread_cond_wait_common (abstime=0x7fc262ffcb60, mutex=0x7fc254001150, cond=0x7fc254001178) at pthread_cond_wait.c:533
#2  0x00007fc33ab19ed9 in __pthread_cond_timedwait (cond=0x7fc254001178, mutex=0x7fc254001150, abstime=0x7fc262ffcb60) at pthread_cond_wait.c:667
#3  0x00007fc33ecd5d2a in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7fc254001150, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  0x00007fc33ecd5d2a in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7fc254001150) at thread/qwaitcondition_unix.cpp:144
#5  0x00007fc33ecd5d2a in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x7fc2f0005dc8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fc33ecd5ee6 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x7fc2540027c0, mutex=mutex@entry=0x7fc2f0005dc8, time=<optimized out>) at thread/qwaitcondition_unix.cpp:209
#7  0x00007fc33ecd3275 in QThreadPoolThread::run() (this=0x7fc2540027b0) at thread/qthreadpool.cpp:139
#8  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x7fc2540027b0) at thread/qthread_unix.cpp:342
#9  0x00007fc33ab136db in start_thread (arg=0x7fc262ffd700) at pthread_create.c:463
#10 0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fc2627fc700 (LWP 11840)):
#0  0x00007fc3389bc664 in g_mutex_unlock () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc338975f58 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc338976570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc25400cbc0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc2627fbc60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fc33ecce317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c966acf050) at thread/qthread_unix.cpp:342
#8  0x00007fc33ab136db in start_thread (arg=0x7fc2627fc700) at pthread_create.c:463
#9  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fc27d5b5700 (LWP 11839)):
#0  0x00007fc33e5b7bf9 in __GI___poll (fds=0x7fc26807eb20, nfds=1, timeout=113966) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc3389765c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc268062850, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc27d5b4c60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fc33ecce317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#6  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x7fc3080e7e30) at thread/qthread_unix.cpp:342
#7  0x00007fc33ab136db in start_thread (arg=0x7fc27d5b5700) at pthread_create.c:463
#8  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fc27ddb6700 (LWP 11837)):
#0  0x00007fc33e5b7bf9 in __GI___poll (fds=0x7fc2fe154530, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc3389765c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc2fb5f936d in  () at /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#4  0x00007fc33899e195 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc33ab136db in start_thread (arg=0x7fc27ddb6700) at pthread_create.c:463
#6  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fc2e7fff700 (LWP 11783)):
#0  0x00007fc338973515 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc338975ef2 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc338976570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc294000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc2e7ffec60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fc33ecce317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c965a761d0) at thread/qthread_unix.cpp:342
#8  0x00007fc33ab136db in start_thread (arg=0x7fc2e7fff700) at pthread_create.c:463
#9  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fc2f90b5700 (LWP 11780)):
#0  0x00007fc33ab199f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c96641cb34) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fc33ab199f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55c96641cae0, cond=0x55c96641cb08) at pthread_cond_wait.c:502
#2  0x00007fc33ab199f3 in __pthread_cond_wait (cond=0x55c96641cb08, mutex=0x55c96641cae0) at pthread_cond_wait.c:655
#3  0x00007fc33ecd5d9b in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x55c96641cae0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007fc33ecd5d9b in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x55c96641cac0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fc33ecd5f19 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55c96641cac8, mutex=mutex@entry=0x55c96641cac0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#6  0x00007fc3425641d3 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x55c96641cab8) at scenegraph/qsgthreadedrenderloop.cpp:255
#7  0x00007fc3425641d3 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x55c96641ca20) at scenegraph/qsgthreadedrenderloop.cpp:905
#8  0x00007fc342564631 in QSGRenderThread::run() (this=0x55c96641ca20) at scenegraph/qsgthreadedrenderloop.cpp:1000
#9  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c96641ca20) at thread/qthread_unix.cpp:342
#10 0x00007fc33ab136db in start_thread (arg=0x7fc2f90b5700) at pthread_create.c:463
#11 0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fc2f9cc0700 (LWP 11778)):
#0  0x00007fc33ab19ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7fc2f9cbfab0, expected=0, futex_word=0x7fc2f0006420) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007fc33ab19ed9 in __pthread_cond_wait_common (abstime=0x7fc2f9cbfb60, mutex=0x7fc2f00063d0, cond=0x7fc2f00063f8) at pthread_cond_wait.c:533
#2  0x00007fc33ab19ed9 in __pthread_cond_timedwait (cond=0x7fc2f00063f8, mutex=0x7fc2f00063d0, abstime=0x7fc2f9cbfb60) at pthread_cond_wait.c:667
#3  0x00007fc33ecd5d2a in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7fc2f00063d0, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  0x00007fc33ecd5d2a in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7fc2f00063d0) at thread/qwaitcondition_unix.cpp:144
#5  0x00007fc33ecd5d2a in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x7fc2f0005dc8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007fc33ecd5ee6 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x7fc2f00060b0, mutex=mutex@entry=0x7fc2f0005dc8, time=<optimized out>) at thread/qwaitcondition_unix.cpp:209
#7  0x00007fc33ecd3275 in QThreadPoolThread::run() (this=0x7fc2f00060a0) at thread/qthreadpool.cpp:139
#8  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x7fc2f00060a0) at thread/qthread_unix.cpp:342
#9  0x00007fc33ab136db in start_thread (arg=0x7fc2f9cc0700) at pthread_create.c:463
#10 0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fc2fa4c1700 (LWP 11777)):
#0  0x00007fc33e5d3740 in __libc_disable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:88
#1  0x00007fc33e5b7c0d in __GI___poll (fds=0x7fc2f0106500, nfds=1, timeout=101970) at ../sysdeps/unix/sysv/linux/poll.c:29
#2  0x00007fc3389765c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc2f0000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc2fa4c0c60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fc33ecce317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#7  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c966283a00) at thread/qthread_unix.cpp:342
#8  0x00007fc33ab136db in start_thread (arg=0x7fc2fa4c1700) at pthread_create.c:463
#9  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fc301056700 (LWP 11776)):
#0  0x00007fc33e5b30b4 in __GI___libc_read (fd=47, buf=0x7fc301055a50, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007fc3389bb2d0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc3389760b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc338976570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc2f4000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc301055c60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fc33ecce317 in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:536
#8  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c9662669a0) at thread/qthread_unix.cpp:342
#9  0x00007fc33ab136db in start_thread (arg=0x7fc301056700) at pthread_create.c:463
#10 0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fc2e5711700 (LWP 11773)):
#0  0x00007fc33e5b7bf9 in __GI___poll (fds=0x55c967190cb0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc3389765c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc338976962 in g_main_loop_run () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc3378fd0e6 in  () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fc33899e195 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc33ab136db in start_thread (arg=0x7fc2e5711700) at pthread_create.c:463
#6  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fc2e5f12700 (LWP 11772)):
#0  0x00007fc33e5b7bf9 in __GI___poll (fds=0x55c965fe2120, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc3389765c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc338976721 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc33899e195 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc33ab136db in start_thread (arg=0x7fc2e5f12700) at pthread_create.c:463
#6  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fc30f5ef700 (LWP 11771)):
#0  0x00007fc3389bc664 in g_mutex_unlock () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc3389754b7 in g_main_context_acquire () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc338976485 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc308000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc30f5eebf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fc33ecce317 in QThread::exec() (this=this@entry=0x55c967282d20) at thread/qthread.cpp:536
#7  0x00007fc3424a6a86 in QQuickPixmapReader::run() (this=0x55c967282d20) at util/qquickpixmapcache.cpp:987
#8  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c967282d20) at thread/qthread_unix.cpp:342
#9  0x00007fc33ab136db in start_thread (arg=0x7fc30f5ef700) at pthread_create.c:463
#10 0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fc3150aa700 (LWP 11770)):
#0  0x00007fc33ab199f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c965a80e9c) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007fc33ab199f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55c965a80e48, cond=0x55c965a80e70) at pthread_cond_wait.c:502
#2  0x00007fc33ab199f3 in __pthread_cond_wait (cond=0x55c965a80e70, mutex=0x55c965a80e48) at pthread_cond_wait.c:655
#3  0x00007fc316606ebb in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fc316606ab7 in  () at /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fc33ab136db in start_thread (arg=0x7fc3150aa700) at pthread_create.c:463
#6  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fc32548c700 (LWP 11769)):
#0  0x00007fc338975a77 in g_main_context_prepare () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc3389764fb in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc318000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc32548bc40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fc33ecce317 in QThread::exec() (this=this@entry=0x55c965a8bf70) at thread/qthread.cpp:536
#6  0x00007fc3401f9605 in QQmlThreadPrivate::run() (this=0x55c965a8bf70) at qml/ftw/qqmlthread.cpp:155
#7  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c965a8bf70) at thread/qthread_unix.cpp:342
#8  0x00007fc33ab136db in start_thread (arg=0x7fc32548c700) at pthread_create.c:463
#9  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fc32669d700 (LWP 11768)):
#0  0x00007fc3389734cb in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc338975a63 in g_main_context_prepare () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc3389764fb in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc33ef1e0db in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fc320000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fc32669cc30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fc33ecce317 in QThread::exec() (this=this@entry=0x7fc341038da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:536
#7  0x00007fc340dc0555 in QDBusConnectionManager::run() (this=0x7fc341038da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x7fc341038da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:342
#9  0x00007fc33ab136db in start_thread (arg=0x7fc32669d700) at pthread_create.c:463
#10 0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fc32e8db700 (LWP 11767)):
#0  0x00007fc33e5b7bf9 in __GI___poll (fds=0x7fc32e8dab68, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fc33827c747 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007fc33827e36a in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007fc3312a9cc0 in QXcbEventQueue::run() (this=0x55c965a2c270) at qxcbeventqueue.cpp:228
#4  0x00007fc33eccf7ec in QThreadPrivate::start(void*) (arg=0x55c965a2c270) at thread/qthread_unix.cpp:342
#5  0x00007fc33ab136db in start_thread (arg=0x7fc32e8db700) at pthread_create.c:463
#6  0x00007fc33e5c488f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fc3433de940 (LWP 11765)):
[KCrash Handler]
#7  0x00007fc342ad2c5f in StandardBackendUpdater::refreshProgress() (this=0x55c966244390) at ./libdiscover/resources/StandardBackendUpdater.cpp:162
#8  0x00007fc33eef9fe7 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffc6e3381c0, r=0x55c966244390, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#9  0x00007fc33eef9fe7 in doActivate<false>(QObject*, int, void**) (sender=0x55c968fc9f70, signal_index=5, argv=0x7ffc6e3381c0) at kernel/qobject.cpp:3870
#10 0x00007fc33eef48a2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=<optimized out>, m=m@entry=0x7fc342d0c500 <Transaction::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffc6e3381c0) at kernel/qobject.cpp:3930
#11 0x00007fc342ae88b1 in Transaction::progressChanged(int) (this=<optimized out>, _t1=<optimized out>) at ./obj-x86_64-linux-gnu/libdiscover/DiscoverCommon_autogen/7I2KDZR7QS/moc_Transaction.cpp:351
#12 0x00007fc33eef1e8b in QObject::event(QEvent*) (this=0x55c968fc9f70, e=0x7fc250012b10) at kernel/qobject.cpp:1339
#13 0x00007fc3406998bc in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55c965a28d00, receiver=receiver@entry=0x55c968fc9f70, e=e@entry=0x7fc250012b10) at kernel/qapplication.cpp:3684
#14 0x00007fc3406a0ac0 in QApplication::notify(QObject*, QEvent*) (this=0x7ffc6e338870, receiver=0x55c968fc9f70, e=0x7fc250012b10) at kernel/qapplication.cpp:3430
#15 0x00007fc33eebedb8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55c968fc9f70, event=0x7fc250012b10) at kernel/qcoreapplication.cpp:1092
#16 0x00007fc33eebef8e in QCoreApplication::sendEvent(QObject*, QEvent*) (receiver=receiver@entry=0x55c968fc9f70, event=event@entry=0x7fc250012b10) at kernel/qcoreapplication.cpp:1487
#17 0x00007fc33eec1a31 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x55c965a24f80) at kernel/qcoreapplication.cpp:1832
#18 0x00007fc33eec1fc8 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1691
#19 0x00007fc33ef1ea13 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x55c965a7a2a0) at kernel/qeventdispatcher_glib.cpp:277
#20 0x00007fc338976417 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007fc338976650 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007fc3389766dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007fc33ef1e0bc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55c965a86e50, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#24 0x00007fc33eebd63a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffc6e338770, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#25 0x00007fc33eec6db0 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1400
#26 0x000055c9639a1cbf in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./discover/main.cpp:179

Possible duplicates by query: bug 418104, bug 418013, bug 417800, bug 417099, bug 416379.

Reported using DrKonqi
Comment 1 Aleix Pol 2020-03-09 18:19:50 UTC
Git commit 6af2c5b1fe40494a55423e9da3210bf816ef90de by Aleix Pol.
Committed on 09/03/2020 at 18:19.
Pushed by apol into branch 'Plasma/5.18'.

flatpak: prevent crash

M  +4    -0    libdiscover/resources/StandardBackendUpdater.cpp

https://commits.kde.org/discover/6af2c5b1fe40494a55423e9da3210bf816ef90de
Comment 2 Aleix Pol 2020-03-09 18:20:08 UTC
*** Bug 418104 has been marked as a duplicate of this bug. ***